%global xfceversion 4.18

Name:           xfce4-session
Version:        4.18.4
Release:    1%{?dist}
Summary:        Xfce session manager

License:        GPLv2+
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2

Source2:        xfce-mimeapps.list
Patch1:         xfce-session-4.10-startxfce4.patch

BuildRequires: make
BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.84
BuildRequires:  glib2-devel >= 2.24.0
BuildRequires:  libSM-devel
BuildRequires:  libwnck3-devel >= 3.14
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  startup-notification-devel
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  iceauth xrdb xset
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool
BuildRequires:  libxslt
BuildRequires:  systemd-devel >= 195
BuildRequires:  polkit-devel
BuildRequires:  libtool
Requires:       iceauth xrdb xset
Requires:       xfce-polkit >= 0.2-2
Requires:       systemd >= 195
Requires:       exo
Suggests:       imsettings-xfce
Suggests:       xfce4-screensaver



%description
xfce4-session is the session manager for the Xfce desktop environment.

%prep
%autosetup -p1

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
%make_install

rm -fr %{buildroot}%{_sysconfdir}/xdg/autostart/xscreensaver.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
cp -a %{SOURCE2} %{buildroot}%{_datadir}/applications/xfce-mimeapps.list

%files -f %{name}.lang
%license COPYING
%doc AUTHORS BUGS ChangeLog NEWS TODO
%doc doc/FAQ doc/NEWS.pre-4.3 doc/README.Kiosk
%{_sysconfdir}/xdg/xfce4
%{_bindir}/*
%dir %{_libdir}/xfce4/session/
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_datadir}/xdg-desktop-portal/xfce-portals.conf
%{_datadir}/applications/*.desktop
%{_datadir}/applications/xfce-mimeapps.list
%{_datadir}/xsessions/xfce.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/polkit-1/actions/org.xfce.session.policy
%{_mandir}/man1/*

%changelog
* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.4-1
- initial build
